Name: kdrill
Summary: kdrill quizzes you on kanji/kana phrase/english translations
Version: 5.5.3
Release: 1
Copyright: GNU GPL
Group: Extensions/Japanese
Source: ftp://ftp.bolthole.com/kdrill5.5.3.tar.gz
Packager: diakka <diakka@resnet.gatech.edu>

BuildRoot: /tmp/kdrill


%description 
Kdrill is a program to quiz folks on

{ english }       { english }
{ kanji   }  <->  { kanji   }
{ kana    }       { kana    }

 on either English-to-kanji, or
kanji-to-English. It will quiz you on either the whole dictionary [around
6000 kanji?]  OR specific kanji, if you give the JIS-number in the
"usefile".
You can also restrict what you are quizzed on by various factors.


%prep
%setup -n kdrill5.5.3

%build
xmkmf -a
make DESTDIR=$RPM_BUILD_ROOT DICTLOCATION=/usr/lib/edict/kanjidic.gz EDICTLOCATION=/usr/lib/edict/edict.gz
cd makedic; make; strip makedic makeedict; cd ..
strip kdrill

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 $RPM_BUILD_ROOT/usr/lib/edict
install -m 0755 -c kdrill $RPM_BUILD_ROOT/usr/bin/kdrill
install -m 0644 -c KDrill.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/KDrill
make DESTDIR=$RPM_BUILD_ROOT install.man
cd makedic 
install -m 0755 makedic makeedict $RPM_BUILD_ROOT/usr/bin
install -m 0644 *.edic $RPM_BUILD_ROOT/usr/lib/edict
mv README README.makedic
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/makedic
/usr/bin/makeedict
/usr/bin/kdrill
/usr/X11R6/lib/X11/app-defaults/KDrill
/usr/X11R6/man/man1/kdrill.1x
/usr/lib/edict/fullkatahira.edic
/usr/lib/edict/hira.edic
/usr/lib/edict/hiraplus.edic
/usr/lib/edict/kata.edic
/usr/lib/edict/kataplus.edic

%doc INSTALL NOTES OLD.PATCHLIST PATCHLIST README my.romaji.file
%doc makedic/README.makedic makedic/infile.hira makedic/infile.hiraplus
%doc makedic/infile.kata makedic/infile.kataplus
